
История версий LinkorCMS
========================

1.4.1-2 (7.01.2013)
-------------------
* Доработан скрипт обновления системы с 1.3 до 1.4.1.
* Исправлена ошибка в новостях, не работала постраничная навигация.
* Исправлена ошибка в шаблоне списка пользователей default темы.

1.4.1 (29.12.2012)
------------------
* Система теперь распространяется по лицензии MIT.
* Фотогалерея
	* Добавлен нетабличный блок gallery_images_block который можно использовать вместо gallery_images.
	* Добавлен блок gallery_images в шаблон просмотра изображения. В теме default реализован слайдер изображений с помощью этого блока.
	* Добавлена возможность поворачивать изображение.
	* Добавлен вывод и обработка рейтингов изображений.
	* Отображение изображения при его редактировании.
* Автоматический вход пользователя при регистрации и активации аккаунта.
* Добавлена возможность отключить плагин перехода по внешней сылке для пользователей сайта (в основных настройках сайта).
* Доработан модуль Аудит. Добавлено API для записи дейтсвий администраторов. Все модули теперь отправляют данные в этот модуль о действиях администраторов.
* Добавлена настройка ограничения размера загружаемого файла в обратной связи.
* Выбор изображений в модуле новостей с помощью файлового менеджера. Доработан плагин инлайнового файлового менеджера.
* Интеграция файлового менеджера в TinyMCE.
* Ссылки на страницы стали короче за счет опущения имя модуля, например: /Новая-страница.html.
* В модуле формы ссылки на формы теперь генерируются вида "forms/form-name.html"
* Отключенные модули теперь автоматически скрываются из верхнего меню админ-панели.
* Добавлен поиск по Where запросу в "Управление БД".
* Добавлено кэширование в блок "Случайное изображение".
* Другие изменения:
	* Обновлён jQuery до версии 1.8.3.
	* Обновлён редактор TinyMCE.
	* В SafeDB теперь преобразует одинарные кавычки к html эквивалентам.
	* Доработано API ЧПУ, теперь в качестве разделителя слов используется знак тире. Добавлена функция для добавления именованых правил ЧПУ UfuAddRuleByTemplate. Правила теперь привязываются к модулям, имеют порядок(приоритет) применения и название.
	* Добавлен блок forum в шаблон forum_topics.html - информация о просматриваемом форуме.
	* Добавлена функция системной генерации миниатюр GenThumb(). Может генерировать миниатюры заданного размера налету и кэширует их в папке uploads/.tmb (настройка по умолчанию).
	* Добавлены параметры в метод System::database()->Select, Limit и Order. Добавлен метод SelectOne(), возвращающий первую строку результата запроса.
	* В шаблонизатор Starkyt добавлен метор AddTemplate как алиан GetSBlocks, его можно использовать для добавлени генерируемых шаблонов из строки.
	* В шаблонизатор Starkyt добавлена генерация автопеременных first и last которые указывают на первый и последний блок соответственно.
	* Добавлен блок topic в шаблон forum_showtopic.html - информация о просматриваемой теме.
	* Добавлен алиас fb к блоку feedback.
	* Система принимает для распаковки архивы с модулями только с суффиксом ".ext.zip".
	* Возможность изменить внешний вид ошибок через css стили. Обработчик ошибок теперь выводит так-же стэк вызовов функций, приведших к ошибке.
	* При отключенных ошибках функция GO теперь не будет останавливать перенаправление, если в обработчике произойдут ошибки.
	* Добавлена переменная в шаблонизатор {page:is_index}контент на главной старнице{/page:is_index}.
	* Использование сжатых ресурсов по умолчанию отключено.
	* В скрипте colorbox теперь есть темы по умолчанию (admin и default), а так-же теперь можно указывать имя темы, не её номер.
* Исправлены ошибки:
	* Исправлены некоторые несовместимости со старыми модулями.
	* Исправлена ошибка в навигации в админки (кнопки назад браузера) при включенном ajax. сисема теперь запоминает позицию прокрутки и восстанавливает её при переходе по истории.
	* В модуле Форум не работала функция "Отметить все как прочитанные".
	* Исправлена ошибка в "Управление БД", там иногда не сортировались таблицы в хлебных крошках.
	* При добавлении комментария в статьях, выкидывало в Архив файлов.
	* Форма авторизации администратора не возвращала пользователя на запрошенную страницу, а перекидывала на admin.php без параметров.
	* Исправлена проблема со ссылками при отключённом ЧПУ.
	* В ответном на регистрацию письме, пароль фильтровался SafeDB и спец символы не отображались.
	* Исправлена ошибка в плагине "Переход по внешней ссылки", контент страницы дубливался.
	* Доработано отображение разделителей в блоках меню сайд бара админ-панели.
	* Функция очистки таблицы теперь перенаправляет на обзор таблицы, а не на главную модуля.

1.4 (4.10.2012)
---------------
* Модули
	* Добавлен модуль обновления системы.
	* Добавлен модуль тестирования кода.
	* Добавлен модуль редактирования меню администратора.
	* Добавлен модуль карты сайта с поддержкой плагинов.
	* Модуль Новости
		* Добавлена возможность указывать дату новости при редактировании.
		* В админке новостей теперь используется виджет Table собственной разработки.
		* Доработан модуль новостей, все функции теперь в одном файле, ajax удаление топиков.
	* Модуль Страницы
		* Добавлена поддержка категорий в Меню (модуль Страницы).
		* При выводе страниц теперь используется ajax дерево, виджет jQuery TreeView собственной разработки.
		* Поддержка кириллических (юникод) ссылок на страницы.
	* Модуль Фотогалерея
		* Добавлена мультизагрузка изображений.
		* Возможность сортировки изображений.
		* Оптимизация оригиналов.
		* ColorBox (скрипт типа LightBox).
	* Модуль Модули (Расширения)
		* Модуль управления модулями переименован в Расширения, доработан механизм работы с расширениями.
		* Возможность установки модулей из архивов(теперь не нужно вручную раскидывать файлы модуля по папкам).
		* Расширениями теперь считаются шаблоны, плагины, модули и блоки.
	* Модуль Форум
		* Системная генерация ЧПУ форума.
		* Подсчёт количества сообщений и тем для каждого пользователя.
		* Ссылки для перехода на следующую и предыдущую тему форума.
		* Форум теперь использует отдельную таблицу онлайн пользователей.
		* Все функции форума переписаны, кроме корзины и подписки на новые сообщения в теме.
	* Модуль Управление БД
		* Добавлена функция создания резервной копии БД.
		* Добавлена функции выполнить SQL и оптимизировать БД для MySQL.
		* Добавлена функция очистить таблицу.
	* Модуль Поиск
		* Добавлена сортировка результатов поиска по наличию совпадений в заголовке.
		* Удаление BBCode перед поиском.
	* Изменения в других модулях
		* Все модули адаптированы для работы с ajax админки.
		* В модуле глобальной модерации комментариев теперь есть функция для поиска комментария на сайте.
		* Во всех модулях где возможно добавлена функция для перехода на страницу объекта на сайте.
		* В модуле Опросы варианты ответов теперь можно динамически добавлять, удалять и сортировать перетаскиванием.
		* Возможность выбрать шаблон админки при логине, выбор запоминается в настройках пользователя.
		* Поддержка вывода хлебных крошек на сайте (добавлено API и шаблоны).
		* Добавлена возможность отредактировать свой профиль не системному администратору в админке (сменить пароль и email).
		* Убрано ограничение в 255 символов в описании категорий.
* Скрипты
	* В качестве JS фреймворка по умолчанию используется jQuery.
	* Новая админка с Ajax. Динамические хлебные крошки(строка навигации) и верхнее меню.
	* Ajax дерево страниц и категорий.
	* Доработан файловый менеджер для TinyMce ImagesManager.
	* Добавлен виджет table.
	* Файловый менеджер elFinder.
	* Gzip сжатие скриптов и css файлов.
	* Скрипт ColorBox.
	* Скрипт подсветки синтаксиса Syntax Highlighter.
	* Добавлены плагины TinyMCE: Вставка кода SyntaxHighlighter, просмотр кода с подсветкой синтаксиса и форматированием.
	* Обновлён TinyMCE.
* Отладка
	* Переименованы лог файлы, теперь они не содержат расширения .php и защищены .htaccess файлом.
	* Доработана обработка и вывод ошибок.
* Ядро
	* Совместимость с PHP 5.4.
	* Динамическая сборка ядра в один файл и автоподключение классов.
	* Новый класс System - локатор зависимостей.
	* Добавлена автоматическая блокировка инсталлятора.
	* Инсталлятор теперь пытается автоматически создать резервную копию БД после установки системы.
	* При парсинге Values в файловой БД auto_increment поля теперь оставляются как есть, если есть значение.
	* Блоки template и head теперь создаются до подключения шаблонов.
	* Удалены функция IncludeFunction и plugins.inc.php.
	* Удалён встроенный модуль статистики посещений.
	* Добавлены функции SafeR, MakeSet, MakeValues для удобства, если поля в форме называются так-же как и колонки таблицы.
	* Добавлена функция SafeR и новый тип onoff.
	* Добавлены функции UseScript и UseLib для подключения JS и PHP библиотек.
	* Полностью переписан движок шаблонов Starkyt. Исправлены ошибки, добавлены новые возможности в язык шаблонов, увеличена скорость компиляции.
	* Добавлена возможность указывать значение в условных блоках используя символ равенства. Пример {block:var=value}
	* Добавлены функции для простой работы с движком комментариев.
* Плагины
	* Удалён плагин авторизации, авторизация теперь идет через модуль "Пользователи".
* Блоки
	* Блок последних тем на форуме.
	* Блок случайного изображения из галереи.
	* Возможность изменить заголовки в блоке пользователя, добавлена поддержка плагинов (требуется обновление шаблона).
* Классы
	* Улучшен класс Navigation: теперь поддерживается более оптимальная работа с MySQL и поддержка ajax.
	* Добавлен класс для работы с Url.
* Прочее
	* Переработана функция закрытия сайта для пользователей. Теперь показывается страница с шаблоном из текущей темы.
	* Добавлены страницы ошибок. Страницу ошибки 404 можно оформлять в шаблоне.

1.3.6 (04.04.2012)
------------------
* Добавлен забытый шаблон форума.
* Работает перенос при показе длинных списков подкатегорий в модулях.
* Исправлен запрос при сохранении изображения в галерее, ошибка в котором возникала на некоторых настройках MySQL.
* Заголовок темы изменяется в разделе последнего ответа у форума при редактировании.
* Блок новостей при редактировании не сбрасывает шаблон на standart.html.
* Доработки шаблона original.
* Обновлён TinyMCE до версии 3.5b3.
* Доработан плагин TinyMCE ImagesManager.
* Новый скин TinyMCE: Aristo.
* Ограничена ширина страницы в админке.
* Исправлена ошибка при выборе изображения для файла в модуле "Архив файлов".

1.3.5 (18.09.2011)
------------------
* Фильтр HEAD запросов. Были проблемы в некоторых браузерах.
* Исправлена ошибка в  .htaccess, при работе из поддиректории.
* Обновлен шаблон original.
* Обновлен TinyMCE.
* Исправлено большинство ошибок в ImagesManager.
* Повышена надежность файловой базы данных. Изменен способ блокировки файлов при записи.
* Исправлена генерация ссылок в рефералах.
* Исправлена ошибка, на форуме в блоке онлайн генерировались неправильные ссылки на профили пользователей.
* Исправлена ошибка, на форуме при просмотре всех тем пользователя не отображались блоки статистики и онлайн.
* Исправлен подсчет тем в блоке статистики.
* Исправлена транслитерация заголовка в ссылку, в модуле Страницы.
* Исправлены ошибки при отправке писем через SMTP.

1.3.4 (04.11.2010)
------------------
* Генерация ссылок в стиле ЧПУ.
* Новая тема original.
* В модуль "Аудит" добавлен учет ключевых слов.
* Обновлен форум. Добавлена возможность создавать подфорумы.
* Генерация более правильных заголовков страниц сайта.
* Для аватар теперь генерируются уменьшенные копии Small(64x64) и Smallest(24x24).
* В списке пользователей отображаются уменьшенные копии аватарок пользователей.
* Модуль ручной очистки кэша.
* В модуле Обратная связь, добавлена возможность прикрепить файл к сообщению.
* Поиск по форуму.
* Возможность закрыть сайт для пользователей.
* В скобках, рядом с именем категории, теперь выводится количество дочерних объектов (фалов, статей, картинок) с учетом количества объектов во вложенных категориях.
* Исправлена ошибка, при которой не удалялись комментарии из Админ-панели.
* Обработка ошибок при загрузке файла в Админ-панели.
* Добавлена возможность загружать изображения с расширением "jpeg".
* Исправлены мелкие недоработки в движке комментариев.
* Исправлена ошибка связанная с кэшированием плагинов.
* Исправлена ошибка в файловой базе данных, при которой могли не сохраняться данные, если во Where передавалась строка со слэшем.
* Улучшен алгоритм "ресайза" изображений.
* Исправлен баг в IE7, когда кнопки на панели инструментов BBCode-редактора выводились в столбик.
* Исправлен баг на форуме, при котором не выводилась статистика и блок "Онлайн" на страницах "Последние созданные темы" и "Непрочитанные темы".
* Исправлена ошибка, при которой не обновлялся кэш пользователей, при редактировании пользователем своего профиля.
* Исправлена ошибка в модуле кэширования связанная с нехваткой прав на запись.
* Исправлена ошибка в блоке опросов при нулевом количестве ответов.
* В модуле "Архив файлов" исправлен баг возникавший в Опера, когда разрешенные форматы файлов, при добавлении нового файла, выводились в одну строку.
* Исправлена ошибка при пустом комментарии таблицы, на странице редактирования таблицы в модуле "Управление БД".
* Отключена фильтрация SafeEnv в модуле "Обратная связь" и плагине "Mail" делающая письмо нечитаемым.
* Добавлен системный плагин инициализирующий функцию timezone_identifiers_list, которая не доступна по-умолчанию в PHP < 5.2.0.
* Формы редактирования теперь возвращают пользователя после сохранения изменений на ту страницу, где была нажата кнопка редактирования Новости, Статьи, Файла, записи в гостевой книге, записи в модуле управления БД.
* Удалена навигация при просмотре изображения, вместо нее добавлены ссылки на следующее и предыдущее изображения в категории.
* Ошибки теперь выводятся в шаблон страницы в переменную [page.errors_text]. Это дает возможность поместить ошибки внутрь тега body.
* Изображения в галерее больше не сортируются по дате добавления.
* Вместо шаблона категорий downloads_cats.html теперь используется cat.html. Основной блок в этом шаблоне переименован в {cats}.
* Добавлен метод TemplateExists в starkyt.class.php
* Добавлена возможность отключить кэширование в config.php.
* В page_template.class.php добавлен метод SetTitle
* В base/inc/user/functions.php вынесены функции для управления загрузкой аватар.
* Код из config.php перенесен в init.php
* В system.php добавлены функции SaveRefererUrl, GoRefererUrl, GetRefererUrl. Они теперь используются вместо History функций.
* В system.php добавлено две функции GetSiteDomain и GetSiteHost.

1.3.3 (30.06.2010)
------------------
* Форум
	* Исправлена ошибка при подписке на тему.
	* Исправлена ошибка при логине на форуме.
	* Исправлена ошибка при которой неправильно формировалась ссылка, в списке активных авторов тем, на все темы автора.
	* Исправлена ошибка в функции "Отметить все как прочитанне".
	* Подправлен шаблон формы добавления темы.
	* Исправлена функция автоочистки корзины.
	* Кнопки "Цитировать" и "Вставить имя" теперь вставляют код в зависимости от того, где находится курсор.
* За счет кэширования с сохранением динамики и оптимизации, скорость работы системы увелчена на 100%.
* Исправлена ошибка в блоке новостей при количестве новостей больше заданного.
* Исправлены найденные ошибки в модуле Управление БД.
* Исправлена ошибка при которой на MySQL базе данных невозможно было очистить список рефералов.
* Исправлена ошибка при которой невозможно было деактивировать пользователя в админ-панели.
* Поиск теперь ищет только в тех материалах, к которым пользователь имеет доступ.
* Текст при его редактировании в TinyMCE теперь выглядит так-же как и на сайте(доработан textstyles.css).
* Доработан редирект с внутренних скриптов сайта при обращении к ним напрямую.
* В списке пользователей теперь не отображаются неактивированные пользователи.
* Исправлена проблема с заголовками писем с сайта в некоторых Email клиентах.
* Убрана привязка сессии к IP-адресу пользователя и администратора. Для безопасности желательно чтобы администратор нажимал на кнопку "Выход" в админ-панели, при этом сессия администратора уничтожится, а сессия пользователя сохранится.
* Запрещено администраторам изменять пароль и e-mail на сайте, советуется администраторам менять пароль и email в админ-панели.
* Все числовые ключи в результатах БД заменены на строковые. Результаты в числовых ключах больше не возвращаются. Это позволило снизить потребление памяти при работе системы на MySQL.
* Кое-какие доработки в модуле "Обратная связь".
* Добавлена постраничная навигация при обзоре таблицы в модуле "Управление БД".
* Добавлена функция автоматического добавления смайликов.
* В письмо из модуля "Обратная связь", добавлена информация о департаменте. На случай, если на разные департаменты установлен один адрес электронной почты.
* Расширена функциональность BBCode-редактора.
* Новые значки.
* Админ-панель блокируется, если setup.php присутствует на сервере.
* Добавлена проверка "Капча" в модуле "Обратная связь".
* В шаблон списка пользователей и профиля пользователя добавлены переменные {user.user_id}.
* Удален comments.class.php.
* Другие мелкие исправления и доработки.

1.3.2 (06.03.2010)
------------------
* Полная поддержка редактирования MySQL базы данных в модуле "Управление БД".
* Оценки в статьях.
* В гостевой книге теперь показывается капча для гостей и пользователей(опционально).
* В шаблон "navigation_item.html" добавлены переменные: {item.link_url}, {item.pos}, {item.is_text}, {item.is_link}, {item.text}.
* В шаблон "module/user_info.html" добавлена переменная {user.true_name} для вывода настоящего имени пользователя.
* Форум:
	* Доработан модуль форума, произведен почти полный аудит кода, исправлены мелкие недочеты и ошибки. Так же были оптимизированы некоторые места, форум переведен на новую систему кэширования и навигации с поддержкой ЧПУ.
	* Показ непрочитанных тем.
	* Показ тем созданных определённым пользователем.
	* ЧПУ-ссылки.
	* Показ тем созданных за определённый период.
	* Цитирование сообщения
	* Вставка имени автора сообщения
	* Подсветка тем созданных за последние 24 часа.
	* Показ кол-ва страниц и навигация по ним в листинге тем и форумов.
	* Все стили из .html файлов собраны в один файл forum.css
	* Нумерация сообщений в теме.
	* Получение ссылки на конкретное сообщение в теме (нажать #).
* Улучшенные стили в Админ-панели.
* IgrimTheme:
	* Исправлена ошибка, при которой не отображались верхние и нижние блоки.
	* Подкорректированы шаблоны Архива статей в IgrimTheme.
	* Блок пользователя - галочка "Запомнить меня" по умолчанию отмечена.
* Out Плагин:
	* Исправлена передача ссылки через out плагин.
	* Время ожидания две секунды вместо трех.
	* Добавлена ссылка "Нажмите сюда, если не хотите ждать.".
	* Исправлено ложное срабатывание out плагина для внутренних ссылок.
* Исправлена ошибка возникающая при некорректном часовом поясе пользователя.
* Исправлен фильтр в Фотогалерее, Архиве Статей и Архиве файлов.
* Исправлена ошибка в гостевой книге при которой пользователи не видели ответов администраторов.
* Исправлена ошибка в гостевой книге при которой, при пустых данных, показывались кнопки ICQ и сайт.
* В списке пользователей, администраторы показываются вверху списка.
* Внесены правки в htaccess для возможности работы ЧПУ если система установлена не в корневую директорию сайта.
* Редирект теперь использует статус 303(See Other) вместо 302(Found).
* Исправлены мелкие ошибки.
* В name_config добавлена переменная указывающая на положение папки с кэшем $config['cache_dir'].

1.3.1 (20.01.2010)
------------------
* Добавлена глобальная статистика по форуму.
* Добавлено ограничение максимальной ширины формы редактирования и создания.
* В админке в листинге форумов добавлено поле "Обсуждение", которое может иметь несколько состояний: Открыто, Закрыто, Закрыто(закрыта категория)
* Повышена безопасность системы.
* Исправлена активация пользователей по e-mail.
* Исправлено и доработано окно для отправки писем из админ-панели.
* Исправлена ошибка возникающая в случае если в форуме одна тема и ей назначается статус важная.
* Форум: переработана логика "закрыто для обсуждения".
	* Исправлена ошибка связанная с не правильной пометкой о прочтении при нажатии на ссылку "Отметить все как прочитанные"...
	* Исправлена ошибка при использовании кэша.
	* Удалены не используемые "маркеры".
* Исправлены найденные ошибки и опечатки.


1.3 (21.12.2009)
----------------
* Новый движок комментариев Posts.
	* Возможность отключить комментарии на всем сайте,
	* показать капчу для пользователей,
	* отвечать на комментарии(древовидные),
	* возможность пользователям удалять и редактировать свои комментарии,
	* запретить комментировать гостям,
	* возможность гостям редактировать комментарии(привязка к IP),
	* возможность отключить систему комментариев на всем сайте,
	* возможность задать тип сортировки(по возрастанию, по убыванию).
* Модуль глобальной модерации комментариев.
* Поддержка отправки писем через SMTP сервер.
* Плагин подсветки синтаксиса HTML, JavaScript, CSS на основе Code Mirror.
* Расширен модуль конфигурации, теперь можно полностью редактировать настройки и группы.
* Возможность выбрать в настройках модуля шаблон страницы. Дополнительные шаблоны необходимо ложить в подпапку themes в директории темы.
* Добавлены кнопки удаления и редактирования новостей, статей и файлов для администраторов.
* В админ-панели добавлено отображение количества входов на сайт каждым пользователем и количества набранным им пунктов.
* Переход по внешним ссылкам через промежуточную страницу.
* Добавлен обновленный и расширенный модуль форума.
* Письма с сайта теперь отправляются в кодировке UTF-8.
* В админ-панели теперь используется шрифт Verdana.
* Исправлены ошибки отображения блока "Новости". Новости будут показываться в зависимости от уровня доступа указанные для каждой новости в админке.
* Исправлена ошибка форматирования текста при описании файла в "Архиве файлов".
* Исправлена ошибка при активации пользователя через электронную почту.
* Исправлена ошибка восстановления пароля.
* Исправлены ошибки в модуле "Архив статей" - предпросмотр статьи.
* Исправлена ошибка отображения персональных превьюшек разделов в Фотогалерее
* Исправлена ошибка с неверным подсчетом количества подписчиков в модуле Рассылки.
* Исправлены ошибки с разграниченим уровня доступа (ViewLevel).
* Исправлены ошибки с модулем Веб-форм, добавлен недостающий шаблон form.html.
* Исправлены найденные опечатки.
* Полную новость теперь можно прочитать нажав на заголовок. Добавлены ключи шаблонов {news.day}, {news.month}, {news.year}, {news.year_full}, {news.time}, {news.link}, {news.cat_link}, {news.com_count}.
* Полную статью теперь можно прочитать нажав на заголовок. Добавлен ключ шаблона {art.link2}.
* Из стандартного шаблона все настройки цветов перенесены в css.
* Изменен алгоритм поиска. Теперь вместо OR для нескольких слов используется AND.
* Шаблонизатор теперь не вырезает не известное содержимое заключенное в фигурные скобки(«{}»).
* Доработана поддержка временных зон.
* Совместимость с PHP 5.3.
* Неявная привязка сессии к IP адресу. Двойная авторизация - сессия привязывается толко в том случае если админ зашел в Админ-панель.
* Улучшена защита cookies, к паролю и ip добавляется секретный код(соль).
* Проверка cookies теперь может проходить через сессию, что дает -1 запрос к БД если пользователь авторизован.
* В новой инсталляции папки с загружаемыми данными перенесены в uploads. При обновлении все останется по старому.
* Удалены index.php. Листинг теперь запрещен через .htaccess.
* Разработчикам:
	* Улучшена фильтрация SafeEnv теперь функция фильтрует переменную в зависимости от типа используемой базы данных, при этом обращается для фильтрации к слою БД, в интерфейс которого была добавлена функция EscapeString.
	* В интерфейс слоя Бд добавлена функция GetLastId возвращающая Id сгенерированный при последнем Insert запросе.
	* В Insert и Update(при values) запросе теперь можно указать порядок колонок.
	* Теперь можно использовать PHP код в шаблонах. В шаблонах можно писать тот же код что и в init.php.
	* В модуле Управление БД добавлена возможность простоматривать PHP код добавления записи в таблицу, а так же редактирования и добавления колонок.
	* Улучшен движок конфигурации, добавлен тип поля password, исправлены ошибки.
	* Изменено поле timezone таблицы users, оптимизировано для хранения временной зоны.
	* Теперь можно переопределять шаблонные блоки в коде, что дает больше гибкости при программировании.
	* Помимо папки текущей темы, шаблоны будут искаться в стандартной теме. По умолчанию стандартная тема это «IgrimTheme». Чтобы получить путь к стандартной теме, используйте при разработке шаблонов переменную {page.default_dir}.
	* Возможность переопределять созданные блоки с помощью функции Starkyt::AddBlock().

1.2 (17.12.2008)
----------------
* Улучшен модуль страницы, возможность добавлять ссылки и выбирать страницу по умолчанию.
* Автогенерируемое меню.
* Возможность выбрать в новостях, что будет в качестве пиктограммы - ее уменьшенная копия(эскиз) либо сразу полная картинка в новости.
* Исправлен блок новостей.
* Функция "напомнить пароль".
* Модуль SEO и его поддержка модулями Страницы, Новости, Статьи.
* Возможность загружать картинки в Статьях и в Загрузках.
* Улучшен скрипт генерации эскизов.
* Защита от спама, капча-тест в комментариях, при регистрации и в гостевой книге.
* Модуль поиска с возможностью поиска по модулям Статьи, Новости, Архив файлов, Фотогалерея, Страницы.
* В шаблон добавлены ключи: page:is_system_admin, page:is_admin, page:is_member, page:is_guest.
* В шаблоне для обозначения тегов используются {} вместо <{}>.
* Исправлены найденные ошибки.

1.1 (09.08.2008)
----------------
* Возможность загружать картинки в модуле "Новости".
* 2 режима отображения новостей в админке.
* RSS-заголовки новостей.
* Модуль аудита или лог действий администраторов.
* Переходы с сайтов (Рефералы).
* Автоматический ресайзинг аватар при загрузке.
* Изменена таблица транслитерации.
* Возможность пользователям использовать составные имена (Никнеймы).
* Исправлено множество опечаток и мелких ошибок.
* Удалена настройка "Показать на главной" в модуле "Новости".
* Удалена возможность программирования в модуле "Новости".

1.0 (11.06.2008)
----------------
* Поддержка баз данных MySQL.
* Добавлен модуль рассылки.
* Доработан движок плагинов.
* Более полная информация о пользователе, включая показ статуса "online".
* В модуле downloads теперь можно сделать показ последних загрузок на главной странице модуля.
* Исправлены ошибки с загрузкой аватар.
* Исправлены множественные опечатки.